    Return the region defined in the image viewer.

image_getregion(coord='')
coord - str, optional

The regions defined in the current frame are returned.

>>> image_getregion() 'circle(123,128,12.377649);-box(130,121,14,14,329.93142);'
>>> image_getregion('physical') 'circle(3920.5,4080.5,396.08476);-rotbox(4144.5,3856.5,448,448,329.93142);'

PARAMETERS

The parameter for this function is:

Parameter
Definition
coord
The coordinate system to use.

The return value from this function is:

region -- The region, or regions, or the empty string.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023